Qt 5.7 | Qt 3D | C++ Classes | QCuboidMesh

Qt 5.7.1 Reference Documentation

# QCuboidMesh Class

(Qt3DExtras::QCuboidMesh)

A cuboid mesh. More...

Header: | #include <QCuboidMesh>
qmake: | QT += 3dextras
Instantiated By: | CuboidMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- xExtent : float
- xyMeshResolution : QSize
- xzMeshResolution : QSize

- yExtent : float
- yzMeshResolution : QSize
- zExtent : float

- 10 properties inherited from Qt3DRender::QGeometryRenderer
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCuboidMesh(Qt3DCore::QNode *parent = nullptr)
float | xExtent() const
QSize | xyMeshResolution() const
QSize | xzMeshResolution() const
float | yExtent() const
QSize | yzMeshResolution() const
float | zExtent() const

- 12 public functions inherited from Qt3DRender::QGeometryRenderer
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setXExtent(float xExtent)
void | setXYMeshResolution(const QSize &resolution)
void | setXZMeshResolution(const QSize &resolution)
void | setYExtent(float yExtent)
void | setYZMeshResolution(const QSize &resolution)
void | setZExtent(float zExtent)

- 10 public slots inherited from Qt3DRender::QGeometryRenderer
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | xExtentChanged(float xExtent)
void | xyMeshResolutionChanged(const QSize &xyMeshResolution)
void | xzMeshResolutionChanged(const QSize &xzMeshResolution)
void | yExtentChanged(float yExtent)
void | yzMeshResolutionChanged(const QSize &yzMeshResolution)
void | zExtentChanged(float zExtent)

- 10 signals inherited from Qt3DRender::QGeometryRenderer
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A cuboid mesh.

## Property Documentation

### xExtent : float

Holds the x extent of the mesh.

Access functions:

float | xExtent() const
void | setXExtent(float xExtent)

Notifier signal:

void | xExtentChanged(float xExtent)

### xyMeshResolution : QSize

Holds the x-y resolution of the mesh. The width and height values of this property specify the number of vertices generated for the x-y faces of the mesh.

Access functions:

QSize | xyMeshResolution() const
void | setXYMeshResolution(const QSize &resolution)

Notifier signal:

void | xyMeshResolutionChanged(const QSize &xyMeshResolution)

### xzMeshResolution : QSize

Holds the x-z resolution of the mesh. The width and height values of this property specify the number of vertices generated for the x-z faces of the mesh.

Access functions:

QSize | xzMeshResolution() const
void | setXZMeshResolution(const QSize &resolution)

Notifier signal:

void | xzMeshResolutionChanged(const QSize &xzMeshResolution)

### yExtent : float

Holds the y extent of the mesh.

Access functions:

float | yExtent() const
void | setYExtent(float yExtent)

Notifier signal:

void | yExtentChanged(float yExtent)

### yzMeshResolution : QSize

Holds the y-z resolution of the mesh. The width and height values of this property specify the number of vertices generated for the y-z faces of the mesh.

Access functions:

QSize | yzMeshResolution() const
void | setYZMeshResolution(const QSize &resolution)

Notifier signal:

void | yzMeshResolutionChanged(const QSize &yzMeshResolution)

### zExtent : float

Holds the z extent of the mesh.

Access functions:

float | zExtent() const
void | setZExtent(float zExtent)

Notifier signal:

void | zExtentChanged(float zExtent)

## Member Function Documentation

### QCuboidMesh::QCuboidMesh(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QCuboidMesh.